Bug 19744 - Move template JavaScript to the footer: Offline circulation
Summary: Move template JavaScript to the footer: Offline circulation
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 17858
  Show dependency treegraph
 
Reported: 2017-12-04 16:24 UTC by Owen Leonard
Modified: 2018-01-16 12:15 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19744: Move template JavaScript to the footer: Offline circulation (65.02 KB, patch)
2017-12-04 16:41 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19744: Move template JavaScript to the footer: Offline circulation (65.08 KB, patch)
2017-12-14 09:43 UTC, Simon Pouchol
Details | Diff | Splinter Review
Bug 19744: Move template JavaScript to the footer: Offline circulation (65.13 KB, patch)
2017-12-21 16:51 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2017-12-04 16:24:24 UTC
In order to conform to best practices for performance staff client template javascript should be in the footer instead of the header.

This patch will do so for offline circulation templates.
Comment 1 Owen Leonard 2017-12-04 16:41:04 UTC
Created attachment 69483 [details] [review]
Bug 19744: Move template JavaScript to the footer: Offline circulation

This patch modifies the staff client offline circulation templates so
that JavaScript is included in the footer instead of the header.

To test, apply the patch and test the JavaScript-driven features of the
modified templates: All button controls, DataTables functionality, tabs,
etc.

Circulation -> Built-in offline circulation interface
  -> Synchronize
   -> Download records
  -> Check out
  -> Check in
    -> Synchronize
      -> Upload transactions
  -> Pending offline circulations
    -> Check all, uncheck all
    -> Delete
    -> Process

Circulation -> Upload offline circulation data
  -> Upload .koc file (gerated by the Koha Offline Circulation program,
     for instance).
Comment 2 Simon Pouchol 2017-12-14 09:43:12 UTC
Created attachment 69794 [details] [review]
Bug 19744: Move template JavaScript to the footer: Offline circulation

This patch modifies the staff client offline circulation templates so
that JavaScript is included in the footer instead of the header.

To test, apply the patch and test the JavaScript-driven features of the
modified templates: All button controls, DataTables functionality, tabs,
etc.

Circulation -> Built-in offline circulation interface
  -> Synchronize
   -> Download records
  -> Check out
  -> Check in
    -> Synchronize
      -> Upload transactions
  -> Pending offline circulations
    -> Check all, uncheck all
    -> Delete
    -> Process

Circulation -> Upload offline circulation data
  -> Upload .koc file (gerated by the Koha Offline Circulation program,
     for instance).

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>
Comment 3 Josef Moravec 2017-12-21 16:51:45 UTC
Created attachment 70068 [details] [review]
Bug 19744: Move template JavaScript to the footer: Offline circulation

This patch modifies the staff client offline circulation templates so
that JavaScript is included in the footer instead of the header.

To test, apply the patch and test the JavaScript-driven features of the
modified templates: All button controls, DataTables functionality, tabs,
etc.

Circulation -> Built-in offline circulation interface
  -> Synchronize
   -> Download records
  -> Check out
  -> Check in
    -> Synchronize
      -> Upload transactions
  -> Pending offline circulations
    -> Check all, uncheck all
    -> Delete
    -> Process

Circulation -> Upload offline circulation data
  -> Upload .koc file (gerated by the Koha Offline Circulation program,
     for instance).

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Jonathan Druart 2017-12-22 16:17:07 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 5 Nick Clemens 2018-01-16 12:15:47 UTC
Enhancement, skipping for 17.11.x.
Awesome work everybody!